API Test Keys
Fetch Biller Categories
GET/v1/bill_payments/billers/categoriesClick to copy
Use this endpoint to retrieve all available biller categories on the Bharat Bill Payment System (BBPS). Categories include electricity, water, gas, broadband, insurance and more. Use any value returned in the categories array as the category query parameter when calling the
Is this page helpful?
Curl
1curl -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET] \2-X GET https://api.razorpay.com/v1/bill_payments/billers/categories
Success
Failure
1{2"categories": [3"insurance",4"loan",5"education",6"electricity"7]8}
Response Parameters
categories *
array Array of biller categories as per NPCI MDM. Each element is a string. Pass any value as the category query parameter when calling the
insurance, loan, education, electricity.Errors
Unable to fetch biller categories.
Error Status: 400
Unable to fetch biller categories at this time. Retry after some time.
Solution
The API <key/secret> provided is invalid.
Error Status: 401
The API credentials passed in the request differ from the ones generated on the Dashboard.
Solution
Fetch Biller Categories
GET/v1/bill_payments/billers/categoriesClick to copy
Use this endpoint to retrieve all available biller categories on the Bharat Bill Payment System (BBPS). Categories include electricity, water, gas, broadband, insurance and more. Use any value returned in the categories array as the category query parameter when calling the
Is this page helpful?
Response Parameters
categories *
array Array of biller categories as per NPCI MDM. Each element is a string. Pass any value as the category query parameter when calling the
insurance, loan, education, electricity.Errors
Unable to fetch biller categories.
Error Status: 400
Unable to fetch biller categories at this time. Retry after some time.
Solution
The API <key/secret> provided is invalid.
Error Status: 401
The API credentials passed in the request differ from the ones generated on the Dashboard.
Solution
Curl
1curl -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET] \2-X GET https://api.razorpay.com/v1/bill_payments/billers/categories
Success
Failure
1{2"categories": [3"insurance",4"loan",5"education",6"electricity"7]8}